首页 > 移动平台 > 详细

Error:Could not determine Java version-- 关于Android Studio JDK设置和JVM version设置

时间:2015-08-27 18:00:43      阅读:8995      评论:0      收藏:0      [点我收藏+]

标签:des   android   class   style   log   com   si   src   it   

最近在装AS的时候遇到一个问题,新建工程后,编译报错,Error:Could not determine Java version

不言而喻:可定是JDK的问题,网上查到2中可能性

第一:就是JDK路径没有关联好

解决办法:  File -->Project Structure-->SDK Location,如图,设置下,JDK的位置就行

技术分享

第二,这种情况应该只能MAC IOS 操作系统中遇到

就是info.plist这个配置文件下JVM Version标签,设置不对.

解决方法:

1. Finder中,应用程序中找到Android Studio;

2、右击显示包内容,在目录下找到 info.plist 并用任意文本编辑器打开;

3、找到 JVMVersion 并将 <string>1.6*</string>中的版本号改为你系统JDK的版本号(注意:Android Studio只支持jdk1.6及以上版本

例如,<string>1.6*</string>,<string>1.7*</string>或者<string>1.7+</string>

 

注意:我一直按MAC的思路在寻找问题,所以在Ubuntu下一直没找到有这个info.plist配置文件(估计是MAC特有的配置文件),后来才发现JDK路径不对,汗多来。

Error:Could not determine Java version-- 关于Android Studio JDK设置和JVM version设置

标签:des   android   class   style   log   com   si   src   it   

原文:http://www.cnblogs.com/rainey-forrest/p/4763769.html

(0)
(0)
   
举报
评论 一句话评论(0
0条  
登录后才能评论!
© 2014 bubuko.com 版权所有 鲁ICP备09046678号-4
打开技术之扣,分享程序人生!
             

鲁公网安备 37021202000002号